import axios from '@/libs/axios.js'
// 历史记录预约单列表
export const shopList = (params) => {
	let url = `/customer/reserve/queryPage/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
  return axios.request({
    url: url,
    method: 'post',
	data:params
  })
}

// 新增/编辑保存商铺接口
export const savShop = params => {
  return axios.request({
    url: '/customer/reserve/save',
    data: params,
    method: 'POST'
  })
}

// 查询商铺详情
export const shopDetails = (params) => {
  const url = `/customer/reserve/findById/${params.id}`
  return axios.request({
    url: url,
    data: {},
    method: 'get'
  })
}